Subject: RE: Select function call
From: [email-masked] (Ron Forrester)

31 Jan 1997 13:49:13 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=OrCAD%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>,
        "'gnu-win32'"
	 <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.993.5
Original-Sender: [email-masked]

Someone else may confirm/deny this, but I believe select() is currently
broken when used on different types of handles (i.e. combination of
network and stdin for instance).

rjf

>-----Original Message-----
>From:	Larry Gerhardstein [SMTP:[email-masked]]
>Sent:	Thursday, January 30, 1997 11:07 PM
>To:	gnu-win32
>Subject:	Select function call
>
>Does the select() function call work in Cygnus?  According to online
>information and FAQ, I am led to believe it should.
>
>A program which I am attempting to port to Cygnus calls select() to
>multiplex standard-in and a network socket.  The network connect, and
>I/O over the socket works.  However, the value returned by select()
>always is -1 and the value in errno is 1 (EPERM), both on NT 3.51 and
>4.0.  I have not tried this on Win95.
>
>On Solaris 2.5.1, I link with libsocket and libnsl.  On Cygnus, I am
>linking without any additional libraries.
>
>-- 
>Larry Gerhardstein -- Kennewick, Washington
>[email-masked]
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".